#ifndef MSP_GL_GL_H_
#define MSP_GL_GL_H_

#ifdef __APPLE__
#pragma clang diagnostic push
#pragma clang diagnostic ignored "-Wkeyword-macro"
#define extern extern __attribute__((weak_import))
#include <OpenGL/gl.h>
#include <OpenGL/glext.h>
#undef extern
#pragma clang diagnostic pop
#elif defined(__ANDROID__)
#include <GLES3/gl3.h>
#include <GLES3/gl3ext.h>
typedef double GLdouble;
typedef long long GLint64;
#else
#ifdef _WIN32
#ifndef WINAPI
#if defined(_ARM_)
#define WINAPI
#else
#define WINAPI __stdcall
#endif
#endif
#ifndef APIENTRY
#define APIENTRY WINAPI
#endif
#ifndef DECLSPEC_IMPORT
#define DECLSPEC_IMPORT __declspec(dllimport)
#endif
#ifndef WINGDIAPI
#define WINGDIAPI DECLSPEC_IMPORT
#endif
#endif
#include <GL/gl.h>
#include <GL/glext.h>
#endif

#ifndef APIENTRY
#define APIENTRY
#endif

#endif
